include ( ../../../buildcfg.pro )

TEMPLATE	= lib
CONFIG		= qt opengl thread plugin $${BUILDTYPE}
HEADERS		= src/EWAGLRenderer.h \
	          src/EWAGLRendererConfiguration.h \
		  src/EWAGLRendererWidget.h \

SOURCES		= src/EWAGLRenderer.cpp \
	          src/EWAGLRendererConfiguration.cpp \
	          src/EWAGLRendererWidget.cpp \

INTERFACES	= UI/EWAGLRendererConfigurationWidget.ui

ALL_DEPS	=

TARGET		= EWAGLRenderer

OBJECTS_DIR     = bin/linux/$${BUILDTYPE}

MOC_DIR		= bin/linux/$${BUILDTYPE}

DESTDIR		= ../../../bin/linux/$${BUILDTYPE}/Renderers/preview

LIBS	       += -L../../../bin/linux/$${BUILDTYPE} -L$$(CG_LIB_PATH) -lCore -lDataTypes -lUtilities -lCg -lCgGL

INCLUDEPATH    += $$(CG_INC_PATH)

QMAKE_POST_LINK = mkdir -p ../../../bin/linux/$${BUILDTYPE}/Renderers/CG && \
                  cp \
                     src/hwpointrenderer.cg \
                     ../../../bin/linux/$${BUILDTYPE}/Renderers/CG
