#ifndef GL_EXTENSIONS_H
#define GL_EXTENSIONS_H

#ifndef WIN32
#define WIN32
#endif
#include <windows.h>
#include "../glew/include/GL/gl.h"
#include "../glew/include/GL/glext.h"
//#undef GLH_EXT_SINGLE_FILE
//#include "glh/glh_extensions.h"

// extreme OpenGL
#ifdef GL_ARB_vertex_buffer_object
#define USE_VERTEX_BUFFER_OBJECT
extern PFNGLBUFFERDATAARBPROC glBufferDataARB;
extern PFNGLBINDBUFFERARBPROC glBindBufferARB;
#endif

#ifdef GL_EXT_blend_func_separate
extern PFNGLBLENDFUNCSEPARATEEXTPROC glBlendFuncSeparate;
#else
#error glBlendFuncSeparate not supported, sorry.
#endif

extern PFNGLBLENDEQUATIONPROC glBlendEquation;

void init_GL_extensions();

#endif